Add Data to Ingestion Queue
curl --request POST \
--url {protocol}://{domain}/api/v1/add \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"episodeBody": "<string>",
"referenceTime": "2023-11-07T05:31:56Z",
"source": "<string>",
"metadata": {},
"labelIds": [
"<string>"
],
"sessionId": "<string>"
}
'import requests
url = "{protocol}://{domain}/api/v1/add"
payload = {
"episodeBody": "<string>",
"referenceTime": "2023-11-07T05:31:56Z",
"source": "<string>",
"metadata": {},
"labelIds": ["<string>"],
"sessionId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
episodeBody: '<string>',
referenceTime: '2023-11-07T05:31:56Z',
source: '<string>',
metadata: {},
labelIds: ['<string>'],
sessionId: '<string>'
})
};
fetch('{protocol}://{domain}/api/v1/add', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"queueId": "<string>"
}Memory
Add Data to Ingestion Queue
Add data to the ingestion queue for processing. Content will be analyzed and facts will be extracted into the knowledge graph.
POST
/
api
/
v1
/
add
Add Data to Ingestion Queue
Authorizations
Bearer token authentication supports:
- Personal API tokens (PATs)
- OAuth2 access tokens
- JWT tokens
Example: Authorization: Bearer your_token_here
Body
application/json
Content to ingest and process
Reference timestamp for the content
Source identifier
Additional metadata
Show child attributes
Show child attributes
Labels to assign the content to
Session identifier
Was this page helpful?
⌘I
